Recommended update for nss_ldap

SUSE Recommended Update: Recommended update for nss_ldap
Announcement ID: SUSE-RU-2013:0216-1
Rating: low
References: #650508 #726393 #741922 #760613 #789584 #792494
Affected Products:
  • SUSE Linux Enterprise Server 10 SP4
  • SUSE Linux Enterprise Desktop 10 SP4

  • An update that has 6 recommended fixes can now be installed.

    Description:


    This update for nss_ldap provides fixes for the following
    issues:

    * nss_ldap always uses scope "sub" for nss_base_*
    mapping when filter is present
    * Databases listed after ldap under netgroup in
    nsswitch.conf do not get searched
    * No ldap lookups if nss_initgroups_ignoreusers exceeds
    a certain limit
    * "getent passwd" triggers a segmentation fault in
    nss_ldap when using too large uid/gidNumber values
    * "id" results mixed when configured for ldap
    * Slow socket descriptor leak

    Package List:

    • SUSE Linux Enterprise Server 10 SP4 (i586 ia64 ppc s390x x86_64):
    • nss_ldap-259-4.17.1
    • SUSE Linux Enterprise Server 10 SP4 (s390x x86_64):
    • nss_ldap-32bit-259-4.17.1
    • SUSE Linux Enterprise Server 10 SP4 (ia64):
    • nss_ldap-x86-259-4.17.1
    • SUSE Linux Enterprise Server 10 SP4 (ppc):
    • nss_ldap-64bit-259-4.17.1
    • SUSE Linux Enterprise Desktop 10 SP4 (i586 x86_64):
    • nss_ldap-259-4.17.1
    • SUSE Linux Enterprise Desktop 10 SP4 (x86_64):
    • nss_ldap-32bit-259-4.17.1

    References:

    • https://bugzilla.novell.com/650508
    • https://bugzilla.novell.com/726393
    • https://bugzilla.novell.com/741922
    • https://bugzilla.novell.com/760613
    • https://bugzilla.novell.com/789584
    • https://bugzilla.novell.com/792494
    • http://download.suse.com/patch/finder/?keywords=f4a255aad5cf5aba5e9eef418b897df1